@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pio_hw_t Struct Reference
Collaboration diagram for pio_hw_t:
[legend]

## Data Fields

io_rw_32 | ctrl
io_ro_32 | fstat
io_rw_32 | fdebug
io_ro_32 | flevel
io_wo_32 | txf [4]
io_ro_32 | rxf [4]
io_rw_32 | irq
io_wo_32 | irq_force
io_rw_32 | input_sync_bypass
io_ro_32 | dbg_padout
io_ro_32 | dbg_padoe
io_ro_32 | dbg_cfginfo
io_wo_32 | instr_mem [32]
pio_sm_hw_t | sm [4]
io_ro_32 | intr
union { |
struct { |
io_rw_32 inte0 |
io_rw_32 intf0 |
io_ro_32 ints0 |
io_rw_32 inte1 |
io_rw_32 intf1 |
io_ro_32 ints1 |
} |
pio_irq_ctrl_hw_t irq_ctrl [2] |
}; |

The documentation for this struct was generated from the following file:

- include/hardware/structs/pio.h